//
// A copyright notice must contain a "C" enclosed in parentheses: (C) 
//

package expandedjavaparser.Ast;

import lpg.lpgjavaruntime.*;

/**
 *<b>
 *<li>Rule 67:  ClassBodyDeclarations ::= ClassBodyDeclaration
 *<li>Rule 68:  ClassBodyDeclarations ::= ClassBodyDeclarations ClassBodyDeclaration
 *<li>Rule 318:  ClassBodyDeclarationsopt ::= $Empty
 *<li>Rule 319:  ClassBodyDeclarationsopt ::= ClassBodyDeclarations
 *</b>
 */
public class ClassBodyDeclarationList extends AstList implements IClassBodyDeclarations, IClassBodyDeclarationsopt
{
    public IClassBodyDeclaration getClassBodyDeclarationAt(int i) { return (IClassBodyDeclaration) getElementAt(i); }

    public ClassBodyDeclarationList(IToken leftIToken, IToken rightIToken, boolean leftRecursive)
    {
        super(leftIToken, rightIToken, leftRecursive);
        initialize();
    }

    public ClassBodyDeclarationList(IClassBodyDeclaration _ClassBodyDeclaration, boolean leftRecursive)
    {
        super((Ast) _ClassBodyDeclaration, leftRecursive);
        initialize();
    }

    public void add(IClassBodyDeclaration _ClassBodyDeclaration)
    {
        super.add((Ast) _ClassBodyDeclaration);
    }

    public boolean equals(Object o)
    {
        if (o == this) return true;
        if (! (o instanceof ClassBodyDeclarationList)) return false;
        ClassBodyDeclarationList other = (ClassBodyDeclarationList) o;
        if (size() != other.size()) return false;
        for (int i = 0; i < size(); i++)
        {
            IClassBodyDeclaration element = getClassBodyDeclarationAt(i);
            if (! element.equals(other.getClassBodyDeclarationAt(i))) return false;
        }
        return true;
    }

    public int hashCode()
    {
        int hash = 7;
        for (int i = 0; i < size(); i++)
            hash = hash * 31 + (getClassBodyDeclarationAt(i).hashCode());
        return hash;
    }

    public void accept(Visitor v) { for (int i = 0; i < size(); i++) getClassBodyDeclarationAt(i).accept(v); }
    public void accept(ArgumentVisitor v, Object o) { for (int i = 0; i < size(); i++) getClassBodyDeclarationAt(i).accept(v, o); }
    public Object accept(ResultVisitor v) { for (int i = 0; i < size(); i++) getClassBodyDeclarationAt(i).accept(v); return null; }
    public Object accept(ResultArgumentVisitor v, Object o) { for (int i = 0; i < size(); i++) getClassBodyDeclarationAt(i).accept(v, o); return null; }
}


